#!/bin/sh

# Regenerate monochrome-icon-theme tarball without copyrighted Ubuntu logos.
# Original tarball can be found at:
# https://launchpad.net/ubuntu/+archive/primary/+files/ubuntu-mono_$VERSION.tar.gz
VERSION=$1

ARCHIVE=ubuntu-mono_$VERSION.tar.gz
FOLDER=ubuntu-mono-$VERSION
NEWFOLDER=monochrome-icon-theme-$VERSION
PURGED_ARCHIVE=monochrome-icon-theme-$VERSION.tar.xz

wget -N -c https://launchpad.net/ubuntu/+archive/primary/+files/$ARCHIVE
tar -xzf $ARCHIVE
mv $FOLDER $NEWFOLDER
pushd monochrome-icon-theme-$VERSION/
mv ubuntu-mono-dark/ Monochrome-dark/
mv ubuntu-mono-light/ Monochrome-light/
sed -i "s/Name=Ubuntu-Mono/Name=Monochrome/" */index.theme
find .                              \
  \(                                \
        -name "computer.*"          \
     -o -name "distributor-logo.*"  \
     -o -name "dropbox*.*"         \
     -o -name "package-supported.*" \
     -o -name "preferences-system-directory.*" \
     -o -name "start-here.*"        \
     -o -name "ubuntu*.*"          \
  \) -delete
# Delete dead icon symlinks
find -L . -type l -exec rm {} \;
popd
tar -cJf $PURGED_ARCHIVE $NEWFOLDER/
rm -r $NEWFOLDER
